<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:num="http://www.xbrl.org/dtr/type/numeric">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_NoncurrentAssets_142_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_NoncurrentAssets_142_totalLabel" xml:lang="fi">Pitkäaikaiset varat yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="lab_ifrs-full_NoncurrentAssets_142_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_CurrentAssets_151_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_CurrentAssets_151_totalLabel" xml:lang="fi">Lyhytaikaiset varat yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentAssets" xlink:to="lab_ifrs-full_CurrentAssets_151_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_Assets_152_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_Assets_152_totalLabel" xml:lang="fi">Omaisuuserät yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_Assets" xlink:to="lab_ifrs-full_Assets_152_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="743700JIW1LAUZDH9012-2025-12-31.xsd#gofore_ReserveForInvestedUnrestrictedEquity" xlink:label="gofore_ReserveForInvestedUnrestrictedEquity" />
    <link:label xlink:type="resource" xlink:label="lab_gofore_ReserveForInvestedUnrestrictedEquity_156" xlink:role="http://www.xbrl.org/2003/role/label" id="lab_gofore_ReserveForInvestedUnrestrictedEquity_156_label_en" xml:lang="fi">Sijoitetun vapaan oman pääoman rahasto</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="gofore_ReserveForInvestedUnrestrictedEquity" xlink:to="lab_gofore_ReserveForInvestedUnrestrictedEquity_156" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="ifrs-full_EquityAttributableToOwnersOfParent" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_EquityAttributableToOwnersOfParent_160_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_EquityAttributableToOwnersOfParent_160_totalLabel" xml:lang="fi">Emoyrityksen omistajille kuuluva oma pääoma yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="lab_ifrs-full_EquityAttributableToOwnersOfParent_160_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_Equity_162_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_Equity_162_totalLabel" xml:lang="fi">Oma pääoma yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_Equity" xlink:to="lab_ifrs-full_Equity_162_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_NoncurrentLiabilities_169_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_NoncurrentLiabilities_169_totalLabel" xml:lang="fi">Pitkäaikaiset velat yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="lab_ifrs-full_NoncurrentLiabilities_169_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_CurrentLiabilities_177_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_CurrentLiabilities_177_totalLabel" xml:lang="fi">Lyhytaikaiset velat yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="lab_ifrs-full_CurrentLiabilities_177_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_Liabilities_178_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_Liabilities_178_totalLabel" xml:lang="fi">Velat yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_Liabilities" xlink:to="lab_ifrs-full_Liabilities_178_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_EquityAndLiabilities_179_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_EquityAndLiabilities_179_totalLabel" xml:lang="fi">Oma pääoma ja velat yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="lab_ifrs-full_EquityAndLiabilities_179_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="743700JIW1LAUZDH9012-2025-12-31.xsd#gofore_MaterialsAndServices" xlink:label="gofore_MaterialsAndServices" />
    <link:label xlink:type="resource" xlink:label="lab_gofore_MaterialsAndServices_186" xlink:role="http://www.xbrl.org/2003/role/label" id="lab_gofore_MaterialsAndServices_186_label_en" xml:lang="fi">Materiaalit ja palvelut</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="gofore_MaterialsAndServices" xlink:to="lab_gofore_MaterialsAndServices_186" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_ProfitLossFromOperatingActivities_190_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_ProfitLossFromOperatingActivities_190_totalLabel" xml:lang="fi">Liiketoiminnan voitto (tai tappio)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="lab_ifrs-full_ProfitLossFromOperatingActivities_190_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_ProfitLossBeforeTax_193_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_ProfitLossBeforeTax_193_totalLabel" xml:lang="fi">Voitto (tai tappio) ennen veroja</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="lab_ifrs-full_ProfitLossBeforeTax_193_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_ProfitLoss_195_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_ProfitLoss_195_totalLabel" xml:lang="fi">Voitto (tai tappio)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProfitLoss" xlink:to="lab_ifrs-full_ProfitLoss_195_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_OtherComprehensiveIncome_199_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_OtherComprehensiveIncome_199_totalLabel" xml:lang="fi">Muut laajan tuloksen erät yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="lab_ifrs-full_OtherComprehensiveIncome_199_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_ComprehensiveIncome_200_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_ComprehensiveIncome_200_totalLabel" xml:lang="fi">Laaja tulos yhteensä</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="lab_ifrs-full_ComprehensiveIncome_200_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="743700JIW1LAUZDH9012-2025-12-31.xsd#gofore_ReserveForInvestedUnrestrictedEquityMember" xlink:label="gofore_ReserveForInvestedUnrestrictedEquityMember" />
    <link:label xlink:type="resource" xlink:label="lab_gofore_ReserveForInvestedUnrestrictedEquityMember_219" xlink:role="http://www.xbrl.org/2003/role/label" id="lab_gofore_ReserveForInvestedUnrestrictedEquityMember_219_label_en" xml:lang="fi">Sijoitetun vapaan oman pääoman rahasto</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="gofore_ReserveForInvestedUnrestrictedEquityMember" xlink:to="lab_gofore_ReserveForInvestedUnrestrictedEquityMember_219" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_Equity_225_startLabel" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="ifrs-full_Equity_225_periodStartLabel" xml:lang="fi">Oma pääoma kauden alussa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_Equity" xlink:to="lab_ifrs-full_Equity_225_startLabel" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_Equity_237_endLabel" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="ifrs-full_Equity_237_periodEndLabel" xml:lang="fi">Oma pääoma kauden lopussa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_Equity" xlink:to="lab_ifrs-full_Equity_237_endLabel" />
    <link:loc xlink:type="locator" xlink:href="743700JIW1LAUZDH9012-2025-12-31.xsd#gofore_FinanceCostPaidAndFinanceIncomeReceivedExcludingInterestReceivedAndPaidClassifiedAsOperatingActivities" xlink:label="gofore_FinanceCostPaidAndFinanceIncomeReceivedExcludingInterestReceivedAndPaidClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="lab_gofore_FinanceCostPaidAndFinanceIncomeReceivedExcludingInterestReceivedAndPaidClassifiedAsOperatingActivities_250" xlink:role="http://www.xbrl.org/2003/role/label" id="lab_gofore_FinanceCostPaidAndFinanceIncomeReceivedExcludingInterestReceivedAndPaidClassifiedAsOperatingActivities_250_label_en" xml:lang="fi">Maksetut rahoituskulut ja saadut rahoitustuotot lukuun ottamatta saatuja ja maksettuja korkoja, jotka luokitellaan liiketoiminnaksi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="gofore_FinanceCostPaidAndFinanceIncomeReceivedExcludingInterestReceivedAndPaidClassifiedAsOperatingActivities" xlink:to="lab_gofore_FinanceCostPaidAndFinanceIncomeReceivedExcludingInterestReceivedAndPaidClassifiedAsOperatingActivities_250" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_252_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_CashFlowsFromUsedInOperatingActivities_252_totalLabel" xml:lang="fi">Liiketoiminnasta saadut (tai liiketoiminnassa käytetyt) rahavirrat</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_252_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_260_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_CashFlowsFromUsedInInvestingActivities_260_totalLabel" xml:lang="fi">Investoinneista saadut (tai investointeihin käytetyt) rahavirrat</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_260_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="743700JIW1LAUZDH9012-2025-12-31.xsd#gofore_RepaymentsOfShareholderLoans" xlink:label="gofore_RepaymentsOfShareholderLoans" />
    <link:label xlink:type="resource" xlink:label="lab_gofore_RepaymentsOfShareholderLoans_265" xlink:role="http://www.xbrl.org/2003/role/label" id="lab_gofore_RepaymentsOfShareholderLoans_265_label_en" xml:lang="fi">Osakaslainojen takaisinmaksut</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="gofore_RepaymentsOfShareholderLoans" xlink:to="lab_gofore_RepaymentsOfShareholderLoans_265" />
    <link:loc xlink:type="locator" xlink:href="743700JIW1LAUZDH9012-2025-12-31.xsd#gofore_PurchaseOfFinancialInstrumentsAndProceedsFromFinancialInstrumentsClassifiedAsFinancingActivities" xlink:label="gofore_PurchaseOfFinancialInstrumentsAndProceedsFromFinancialInstrumentsClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="lab_gofore_PurchaseOfFinancialInstrumentsAndProceedsFromFinancialInstrumentsClassifiedAsFinancingActivities_267" xlink:role="http://www.xbrl.org/2003/role/label" id="lab_gofore_PurchaseOfFinancialInstrumentsAndProceedsFromFinancialInstrumentsClassifiedAsFinancingActivities_267_label_en" xml:lang="fi">Rahoitusinstrumenttien osto ja niistä saatavat tuotot, jotka luokitellaan rahoitustoiminnaksi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="gofore_PurchaseOfFinancialInstrumentsAndProceedsFromFinancialInstrumentsClassifiedAsFinancingActivities" xlink:to="lab_gofore_PurchaseOfFinancialInstrumentsAndProceedsFromFinancialInstrumentsClassifiedAsFinancingActivities_267" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_272_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_CashFlowsFromUsedInFinancingActivities_272_totalLabel" xml:lang="fi">Rahoituksesta saadut (tai rahoituksessa käytetyt) rahavirrat</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_272_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_273_totalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_273_totalLabel" xml:lang="fi">Rahavarojen lisäys (tai vähennys) ennen valuuttakurssien muutosten vaikutusta</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_273_totalLabel" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_CashAndCashEquivalents_275_startLabel" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="ifrs-full_CashAndCashEquivalents_275_periodStartLabel" xml:lang="fi">Käteisvarat ja muut rahavarat kauden alussa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="lab_ifrs-full_CashAndCashEquivalents_275_startLabel" />
    <link:label xlink:type="resource" xlink:label="lab_ifrs-full_CashAndCashEquivalents_276_endLabel" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="ifrs-full_CashAndCashEquivalents_276_periodEndLabel" xml:lang="fi">Käteisvarat ja muut rahavarat kauden lopussa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="lab_ifrs-full_CashAndCashEquivalents_276_endLabel" />
  </link:labelLink>
</link:linkbase>